/* Universal selector */

* {
    font-family: 'Courier New', Courier, monospace;
}


/* type selector */

h1 {
    color: black !important;
    text-align: center;
}


/* id selector */

#zuitt-motto {
    letter-spacing: 5px;
}


/* class selector */

.offering-item {
    text-transform: uppercase;
}


/* attribute selector (attribute = "value" / tagname[attribute]) */

input[required] {
    border-width: 2px;
    border-color: pink;
    width: 90%;
}


/* tagname[attribute="value"] */

input[id='email'] {
    height: 50px;
}


/* Adjacent Sibling Selector (+) - Selects the sibling element that is directly after another specified element */

h3+img {
    height: 300px;
    width: 300px;
    border-radius: 150px;
}

img+img {
    border-radius: 50px;
}


/* Descendant Selector (whitespace/space) - Matches all elements that are direct descendant of a specified elements */

#bootcamp-learning-list li {
    color: #559988;
}


/* Child sector (> )-  Selects all elements that are  direct children of a specified element */

section>form>label {
    color: rgb(0, 0, 128);
}


/* General Sibling Selector (~) - Select all elements that are next siblings of a specified element */


/* Multiple selector (,) - Allows us to use multiple selectors for one rule */

h2~a,
a {
    text-decoration: none;
}

body {
    background-color: skyblue;
}


/* Changes the behaviour when scrolling and making it smooth as it transition */

html {
    scroll-behavior: smooth;
}

nav {
    background-color: white;
}


/* 
Selector:hover - Pseudo Class 
changes the style when hovered over
*/

a:hover {
    background-color: #b4d6de;
}

div {
    display: inline-block;
    float: right;
}

section {
    height: 100vh;
    text-align: center;
}

h2 {
    font-size: 1.5rem;
}

ol {
    list-style-type: none;
}

form {
    text-align: center;
    background-color: white;
    border: 2px solid black;
    height: 185px;
    width: 30vw;
    position: relative;
    left: 37.25%;
}

button {
    color: white;
    background-color: #cf0053;
    border: 0;
    border-radius: 15px;
}